#define AROS_ALMOST_COMPATIBLE
#include "global.h"
#include <string.h>

#define DEBUG 0
#include <aros/debug.h>

void LoadDiskCachePrefs(char *filename)
{
	struct MsgPort *mp;
	
	Forbid();
	mp = FindPort("DCTimerMP");
	if (mp) Signal(mp->mp_SigTask, SIGBREAKF_CTRL_D);
	Permit();

	if (!mp)
	{
		SystemTags("MOSSYS:C/DiskCache",
			SYS_Input, NULL, SYS_Output, NULL,
			SYS_Asynch, TRUE, 
			NP_PPCStackSize, 16 * 1024,
			TAG_DONE);
	}
}
